import Nettle.Netkit.LabUtil
import Nettle.IPv4.IPAddress

twoSwitchConfig :: LabConfig
twoSwitchConfig =  LabConfig { switches             = [sw1, sw2], 
                                controllerServerPort = 2525, 
                                hosts                = [ (host 1, Interface 0 (ipAddress 11 1 1 5)) @@ sw1 # port 1, 
                                                         (host 2, Interface 0 (ipAddress 11 1 2 5)) @@ sw2 # port 1 ],

                                links                = [sw1 # port 2 <--> sw2 # port 2,
                                                        sw1 # port 3 <--> sw2 # port 3,
                                                        sw1 # port 4 <--> sw2 # port 4,
                                                        sw1 # port 5 <--> sw2 # port 5 ]
                              }
    where sw1 = switch 1
          sw2 = switch 2

